Syncware
  1. Products
  • Introduction
    • API
    • Authentication
    • Date Format
    • API Status Codes
  • User
    • Login
      POST
    • Get User
      GET
    • Update Profile
      PUT
  • Orders
    • Query All Orders
      GET
    • Query Single Order
      GET
    • Query Single Order By Id
      GET
    • Create New Order
      POST
    • Get Order Shipments By Order
      GET
    • Post Order Shipments By Order
      POST
    • Query Order Shipments By Order Id
      GET
    • Create Order Shipments By Order Id
      POST
  • Products
    • Query All Products
      GET
    • Create Multiple Products
      POST
    • Update Single Product
      PUT
    • Create New Product
      POST
    • Query Single Product
      GET
    • Update Inventory For Single Product
      POST
    • Update Inventory For Multiple Products
      POST
    • Set Upload for Endpoint
      POST
    • Set Upload for Chain
      POST
  • Customers
    • Query All Customers
      GET
    • Query Single Customer
      GET
    • Create New Customer
      POST
  • Invoices
    • Query All Invoices
  • Packing Slip
    • Generate Packing Slip
  • Retailer
    • Query Retailer Profile
    • Update Retailer Profile
  • Rep
    • Query Rep Connected Vendors
  • Leads
    • Query All Leads
    • Create Lead
    • Update Lead
    • Delete Lead
  • Lead Notes
    • Query All Lead Notes
    • Create Lead Note
    • Update Lead Note
    • Delete Lead Note
    • Delete All Notes By Lead Id
  • Common
    • Get All Sources
    • Get All Status
    • Get All Categories
    • Get All Brands
    • Get All Chains
    • Get All Endpoints
  1. Products

Query All Products

GET
/products
Products
Last modified:2026-10-22 03:16:11

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Path Params

Query Params

Header Params

Responses

🟢200
application/json
OK
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --globoff 'https://api.syncware.com/api/v1/products?page={page}&limit={limit}&skip={skip}&sort={sort}&sortDirection={sortDirection}&filterText={filterText}&category={category}&brand={brand}&specials={specials}&endpoint={endpoint}&chain={chain}&displayEndpoints={displayEndpoints}' \
--header 'X-Vendor: synqware' \
--header 'Authorization: Bearer <token>'
Response Response Example
{
  "Total": 120,
  "ProductList": [
    {
      "Id": 1,
      "Image": "sample string 2",
      "Item": "sample string 3",
      "Desc": "sample string 4",
      "Price": 1.1,
      "MSRP": 1.1,
      "Cost": 1.1,
      "Avail": 1,
      "AvailLastUpdated": "2021-06-12T15:23:03Z",
      "AvailDate": null,
      "SKU_UPC": "sample string 5",
      "Category": "sample string 6",
      "Brand": "sample string 7",
      "ShipTo": "sample string 9",
      "Margin": 10.1,
      "BestSeller": true,
      "IsNew": true,
      "PromoStart": "2021-06-12T15:23:03Z",
      "PromoEnd": "2021-06-12T15:23:03Z",
      "PromoValue": 1.1,
      "CustomA": "sample string 14",
      "CustomB": "sample string 15",
      "CustomC": "sample string 16",
      "CustomD": "sample string 17",
      "CustomE": "sample string 18",
      "Min": 1,
      "Max": 1,
      "Upload_To": "sample string 19",
      "Upload_To_Chain": "sample string 20",
      "EndPoints": [
        "Shopify"
      ],
      "LastUpdated": "2021-06-12T15:23:03Z"
    }
  ]
}
Previous
Create Order Shipments By Order Id
Next
Create Multiple Products
Built with